/*
 * Copyright (C) 2008 bplan GmbH. All rights reserved.
 *
 * Boot strap for Topas 910
 * Low level I2C
 * C code
 *
*/


/********/
/********/

#include <simple_io8.h>
#include <simple_io16.h>
#include <simple_io32.h>


/********/
/********/
#include <tmpa910_regs.h>

/********/
/********/

void _init_i2c(void)
{
	uint32_t reg;

	reg = in32(PORTF_GPIOFDIR);
	reg &= ~(0xc0);
	out32(PORTF_GPIOFDIR, reg);

	reg = in32(PORTF_GPIOFFR);
	reg |= 0xc0;
	out32(PORTF_GPIOFFR, reg);

	reg = in32(PORTF_GPIOFODE);
	reg |= 0xc0;
	out32(PORTF_GPIOFODE, reg);
}

