/*
 * Copyright (C) 2007 bplan GmbH. All rights reserved.
 *
 * memcpy in ARM/asm
 *
*/
				
	.align

	.section ".text"

	.global _memcpy_arm

/*
 * r0 -> dest
 * r1 -> source
 * r2 -> size in bytes
 * every arguements must be 32bit aligned
 * scratch r3
*/


_memcpy_arm:
  .type   _memcpy_arm,#function

	add r0,r0,#-4
	add r1,r1,#-4

_memcpy_arm_loop:
	ldr	r3, [r1,#4]!
	str r3, [r0,#4]!

	add r2,r2,#-4
	cmp r2,#0
	bne _memcpy_arm_loop

  mov pc,lr
