/*
 * Link everything in a single elf
*/

OUTPUT_ARCH(arm)
ENTRY(_start)
SECTIONS
{
	/*
   * Make sure we link at zero to get the right
   * offset at runtime
  */
  . = 0x0000000 ;

  .themain : {
    _start = .;
    *(.text)
  }

  _thedata = .;
  .thedata : {
    *(.data.*)
    *(.rodata.*)
    *(.data)
    *(.rodata)
  }

	_end = .;

}

