
/****/
/****/
/*
 * The clock controller
*/

.macro ldrsym __reg, __sym
	adr \__reg,\__sym
	ldr \__reg,[\__reg]
.endm

/***/
.macro get_clockbase __reg
	mov \__reg,        #0xF0000000
	add \__reg,\__reg, #0x00050000
.endm


#define SRAM_BASE      0xF8002000
#define SRAM_SIZE      0x0000c000

/****/
/****/
/*
 * GPIOx controller
*/

.set GPIORDIR, 0x00
.set GPIORFR1, 0x24
.set GPIORFR2, 0x28

/***/

.set GPIONFR1,0x24
.set GPIONFR2,0x28
