
.include "low_defs.i"

/********/
/********/

	.align

	.section ".text"
	.type	_init_lcd,#function
	.globl	_init_lcd

/********/
/********/

/*
 * L   CCC  DDD
 * L  C     D  D
 * L  C     D  D
 * L  C     D  D
 * L   CCC  DDD
 *
*/

_lcdoptbase:
	.word 0xf00b0000

.macro get_lcdoptbase __reg
	adr \__reg, _lcdoptbase
	ldr \__reg,[\__reg]
.endm

// Port J is at 0xf0808000
// +0x400 to access the port func
_portjbase:
	.word 0xf0808400

.macro _portjbase __reg
	adr \__reg, _portjbase
	ldr \__reg,[\__reg]
.endm

_portkbase:
	.word 0xf0809400

.macro _portkbase __reg
	adr \__reg, _portkbase
	ldr \__reg,[\__reg]
.endm

_init_lcd:

	// configure the port J and K for LCD
	mov r1,#0xff

	_portjbase r0
	str r1, [r0, #0x24]

	_portkbase r0
	str r1, [r0, #0x24]

	mov pc,lr
