/*
 * Copyright (C) 2008 bplan GmbH. All rights reserved.
 *
 * minucon common part
 * ARM/asm code
 *
*/

	.align
				
  .extern minicon_putc

	.global minicon_puts
	.global minicon_error	
/*
 * Write a single char on the debug output
 * r0		: pointer to the '\0' ended char string
 * r1,r2,r3	: scratch
*/
minicon_puts:
	.type	minicon_puts,#function

	mov	r2,r0		@ save the ptr in r2
	mov	r3,lr		@ save the lr in r3 for return

__minicon_puts_loop:
	ldrb	r0, [r2, #0]				@ load the char in r0
	cmp	r0, #0		
	beq	__minicon_puts_end		@ if \0 -> return
	bl	minicon_putc

	add r0,r0,#1							@ test the putc return value
	cmp r0,#0
	beq __minicon_puts_loop

	add	r2,r2,#1							@ move the ptr and call the hw-dependnt putc
	b	__minicon_puts_loop

__minicon_puts_end:
	mov	pc,r3


